/*
 * ARJ+xenu is based on open-source ARJ by Andrew Belov <andrew_belov@newmail.ru>.
 *
 * Copyright (C) 2011 Tomasz Konojacki <xenu@poczta.onet.pl>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * ---------------------------------------------------------------------------
 * Prototypes of the functions located in ARJ_USER.C are declared here.
 *
 */

#ifndef ARJ_USER_INCLUDED
#define ARJ_USER_INCLUDED

/* Prototypes */

void arj_user_msg(FMSG *text);
int test_host_os(int os);
char *form_prot_name();
int destfile_extr_validation();
void write_index_entry(char *prefix);
#if SFX_LEVEL>=ARJ
void perform_cmd(int cmd);
#else
void perform_cmd();
#endif

#if SFX_LEVEL<=ARJSFX
void process_archive();
#endif

#endif
