/*
 * ARJ+xenu is based on open-source ARJ by Andrew Belov <andrew_belov@newmail.ru>.
 *
 * Copyright (C) 2011 Tomasz Konojacki <xenu@poczta.onet.pl>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * ---------------------------------------------------------------------------
 * Provides GOST seed/pattern storage space.
 *
 */

/* GOST source seed and pattern storage space */

unsigned char seed[8][16]={{0x01, 0x0F, 0x0D, 0x00, 0x05, 0x07, 0x0A, 0x04,
                            0x09, 0x02, 0x03, 0x0E, 0x06, 0x0B, 0x08, 0x0C},
                           {0x0D, 0x0B, 0x04, 0x01, 0x03, 0x0F, 0x05, 0x09,
                            0x00, 0x0A, 0x0E, 0x07, 0x06, 0x08, 0x02, 0x0C},
                           {0x04, 0x0B, 0x0A, 0x00, 0x07, 0x02, 0x01, 0x0D,
                            0x03, 0x06, 0x08, 0x05, 0x09, 0x0C, 0x0F, 0x0E},
                           {0x06, 0x0C, 0x07, 0x01, 0x05, 0x0F, 0x0D, 0x08,
                            0x04, 0x0A, 0x09, 0x0E, 0x00, 0x03, 0x0B, 0x02},
                           {0x07, 0x0D, 0x0A, 0x01, 0x00, 0x08, 0x09, 0x0F,
                            0x0E, 0x04, 0x06, 0x0C, 0x0B, 0x02, 0x05, 0x03},
                           {0x05, 0x08, 0x01, 0x0D, 0x0A, 0x03, 0x04, 0x02,
                            0x0E, 0x0F, 0x0C, 0x07, 0x06, 0x00, 0x09, 0x0B},
                           {0x0E, 0x0B, 0x04, 0x0C, 0x06, 0x0D, 0x0F, 0x0A,
                            0x02, 0x03, 0x08, 0x01, 0x00, 0x07, 0x05, 0x09},
                           {0x04, 0x0A, 0x09, 0x02, 0x0D, 0x08, 0x00, 0x0E,
                            0x06, 0x0B, 0x01, 0x0C, 0x07, 0x0F, 0x05, 0x03}};
unsigned char pattern[4][256]={0};

